# Supplementary Codes for ICCV-2023 paper: 
MODA: Mapping-Once Audio-driven Portrait Animation with Dual Attentions

## Quick start

1. Step-1: setup your environment

```bash
conda create -n moda python=3.8 -y
conda activate moda
conda install pytorch torchvision torchaudio pytorch-cuda=11.7 -c pytorch -c nvidia -y
pip install -r requirements.txt
```

2. Step-2: update the `config` file

Please check the file paths in `config/feat_HDTF/WRA_CathyMcMorrisRodgers1_000.yaml` and `config/render_HDTF/WRA_CathyMcMorrisRodgers1_000.yaml`.

3. Step-3: generate the feature video

```bash
python generate_feature.py --config config/feat_HDTF/WRA_CathyMcMorrisRodgers1_000.yaml
```

4. Step-4: generate the final video

```bash
python generate_video.py config/render_HDTF/WRA_CathyMcMorrisRodgers1_000.yaml
```